      /*Portal Animation 2 - amiga*/
     /* Balthasar Szczepaski    */

#include <intuition/intuition.h>
#include <stdio.h>
#include <exec/types.h>
#include <exec/memory.h>
#include <devices/audio.h>
#include <devices/narrator.h>
#include <devices/serial.h>
#include <dos.h>

#define PHONETIC_BUFFER_SIZE 200
#define SERBS 200
#define INPBS 512

#define LEFT0B   0
#define RIGHT0B  1
#define RIGHT1B  2
#define LEFT1B   3

#define LEFT0F   (1<<LEFT0B)
#define RIGHT0F  (1<<RIGHT0B)
#define RIGHT1F  (1<<RIGHT1B)
#define LEFT1F   (1<<LEFT1B)

 /*#define NTSC_CLOCK 3579545 */
/* #define  PAL_CLOCK 3546895*/

#define DLKW 2

#define NN16 10     /* 1=1/50s */
#define NK16 (NN16+(NN16/2))
#define NN8  (2*NN16)
#define NK8  (3*NN16)
#define NN4  (4*NN16)
#define NK4  (6*NN16)
#define NN2  (8*NN16)
#define NK2 (12*NN16)
#define NN1 (16*NN16)
#define NK1 (24*NN16)

/* 65 */

#define C2   65
#define CD2  70
#define D2   73
#define DE2  78
#define E2   82
#define F2   87
#define FG2  92
#define G2   98
#define GA2 104
#define A2  110
#define AH2 117
#define H2  123

#define C3  131
#define CD3 139
#define D3  147
#define DE3 156
#define E3  165
#define F3  175
#define FG3 185
#define G3  196
#define GA3 208
#define A3  220
#define AH3 233
#define H3  247

#define C4  262
#define CD4 277
#define D4  294
#define DE4 311

/*320*/

#define  PAL_A3  8061 /* =PalClock/f/2 */
#define NTSC_A3  8135/*=NtscClock/f/2 */
#define  PAL_H3  7182           /*itd*/ 
#define NTSC_H3  7248
#define  PAL_D4  6039
#define NTSC_D4  6095
#define  PAL_FG4 4793
#define NTSC_FG4 4837

#define NN8_A3    83 /*=t*f*0.95*/
#define NN8_H3    94/*   itd   */
#define NN8_D4   112 
#define NN8_FG4  141 

struct Library *TranslatorBase; /*Po co mi to?*/
struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;
struct Screen *ekran;
struct TextAttr takie_napisy=
{
   "topaz.font",
   8,
   FS_NORMAL,
   FPF_ROMFONT
};
struct TextFont *napisy;
struct NewScreen taki_ekran=
{
   0,       /*LeftEdge */
   0,      /*TopEdge  */
   320,   /*Width    */
   256,  /*Height   */
   1,   /*Depth    */
   0,  /*DetailPen*/
   1, /*BlockPen */
   NULL,         /*ViewModes   */
   CUSTOMSCREEN,/*Type        */
   NULL,       /*Font        */
   "PortaL",  /*DefaultTitle*/
   NULL,     /*Gadgets     */
   NULL     /*CustomBitMap*/
};

struct MsgPort *replymp = NULL;  /*Narrator*/
struct MsgPort *replymp2= NULL; /* Audio  */     
struct MsgPort *replymp3= NULL;/* Serial */

struct narrator_rb *narrator_req = NULL;
struct IOAudio        *audio_req = NULL;
struct IOExtSer      *serial_req = NULL;

UBYTE allocation_array[]=
{
  LEFT0F|RIGHT0F,
  LEFT0F|RIGHT1F,
  LEFT1F|RIGHT0F,
  LEFT1F|RIGHT1F 
}; /*Narrator*/

UBYTE allocation_array2[]=
{
   LEFT0F,
   RIGHT0F,
   RIGHT1F,
   LEFT1F
}; /*Audio*/

BYTE *kwadrat = NULL;
UWORD serial_dever = TRUE;
BYTE buffer[SERBS];

unsigned int linijka=0;

void main();
void koniec( STRPTR text );
void nuta(int f,int v,STRPTR napis,STRPTR sylab,int dn,int ds);
void nutb(int f,int v,STRPTR napis,STRPTR sylab,int dn,int ds,int dc);
void nutc(int T      ,STRPTR napis,int D       ,int dn,       int dc);
void cichynapis(      STRPTR napis             ,int dn,       int dc);
void czysto();

void main()
{
  BYTE error;
  UBYTE eof_chars[8] = {0x06,0x050,0x03,0x02,0x01,0x00,0x00};/*po co mi to?*/
  UBYTE *ptr;
    
  IntuitionBase = (struct Library *)
    OpenLibrary( "intuition.library", 0 );
  if( !IntuitionBase )
    koniec( "Nie da si otworzy intuition.library.");
  
  GfxBase = (struct Library *)
    OpenLibrary( "graphics.library", 0);
  if( !GfxBase )
    koniec( "Nie da sie otworzy graphics.library." ); 
  
  ekran=(struct Screen *)OpenScreen(&taki_ekran);
  if(ekran == NULL)
    koniec("Nie ma ekranu!");
  
  SetRGB4(&ekran->ViewPort,0,0,0,0);
  SetRGB4(&ekran->ViewPort,1,13,8,0);
  
  napisy=(struct TextFont *)
    OpenFont(&takie_napisy);
  if(!napisy)
    koniec("Nie da si topaz.font!");
  
  SetFont(&(ekran->RastPort),napisy);
  
  ekran->DetailPen=1;
  ekran->BlockPen=0;
  
  error=0;
  
  strcpy(buffer,"AA"  );
  
  replymp = (struct MsgPort *)
    CreatePort( NULL, 0 );
  if( !replymp )
    koniec( "Nie da si Narrator reply port!" );
  
  replymp2 = (struct MsgPort *)
    CreatePort( NULL, 0 );
  if( !replymp2)
    koniec( "Nie da si Audio reply port!");
    
  replymp3 = (struct MsgPort *)
    CreatePort( NULL, 0 );
  if( !replymp3)
    koniec( "Nie da si Serial reply port!");
   
  narrator_req = (struct narrator_rb *)
    CreateExtIO( replymp, sizeof( struct narrator_rb ));
  if( !narrator_req )
    koniec( "Za Mao pamici na narrator request!" );
  
  audio_req = (struct IOAudio *)
    CreateExtIO( replymp2, sizeof( struct IOAudio ));
  if( !audio_req )
    koniec( "Za mao pamici na audio request!" );
  
  serial_req = (struct IOExtSer *)
    CreateExtIO( replymp3, sizeof( struct IOExtSer ));
  if ( !serial_req )
    koniec( "Za mao pamici na serial request!" );
    
  error = OpenDevice( "narrator.device", 0, narrator_req, 0 );
  if( error )
  {
    narrator_req->message.io_Device = NULL;
  
    koniec( "Nie da si narrator.device!" );
  }
  
  error = OpenDevice( AUDIONAME, 0, audio_req, 0 );
  if(error)
  {
    audio_req->ioa_Request.io_Device = NULL;
    koniec( "Nie da si audio.device!");
  }
  
  serial_dever = OpenDevice( SERIALNAME, 0, serial_req, 0 );
  if(error)
    koniec( "Nie da si serial.device!" );
  /* a gdzie = NULL ? */
  
  narrator_req->message.io_Length = strlen( buffer );
  narrator_req->message.io_Data = (APTR) buffer;
  narrator_req->message.io_Command = CMD_WRITE;
  narrator_req->mode= ROBOTICF0;/*NATURALF0 ROBOTICF0*/
  narrator_req->sex = FEMALE;  /* MALE FEMALE       */
  narrator_req->rate = 100;   /* 40 400            */ 
  narrator_req->pitch= 300;  /* 65 320            */
  narrator_req->ch_masks = allocation_array;
  narrator_req->nm_masks = sizeof( allocation_array );

  audio_req->ioa_Request.io_Command = ADCMD_ALLOCATE;
  audio_req->ioa_Request.io_Message.mn_Node.ln_Pri = 0;
  audio_req->ioa_Data = allocation_array2;
  audio_req->ioa_Length = sizeof(allocation_array2);
    
  BeginIO(audio_req);
  error=WaitIO(audio_req);
  if(error)
    koniec("Nie ma wolnego kanau!");
  
  kwadrat = (BYTE *) AllocMem(DLKW,MEMF_CHIP);/*musi by chip ram*/
  if(!kwadrat)
    koniec("Nie udao si zaalokowa DWCH BAJTW na fal prostoktn!");
  
  kwadrat[0]= 127;
  kwadrat[1]=-127;
  
  audio_req->ioa_Data = kwadrat;
  audio_req->ioa_Length = DLKW;
  audio_req->ioa_Cycles=300;                     /*2=1raz, itd?*/
  audio_req->ioa_Request.io_Command = CMD_WRITE;/*znaczy gramy*/
  audio_req->ioa_Request.io_Flags=ADIOF_PERVOL;/*  musi by  */
  audio_req->ioa_Volume = 10;                 /*  0 64      */
  audio_req->ioa_Period = 4032;              /*PalClock/f/2*/
  
  serial_req->io_RBufLen = INPBS;
  serial_req->io_Baud = 9600;
  serial_req->io_BrkTime = 1000000;
  serial_req->io_ReadLen = 8;
  serial_req->io_WriteLen = 8;
  serial_req->io_StopBits = 1;
  serial_req->io_SerFlags = SERF_XDISABLED;
  serial_req->io_ExtFlags = 0;
  
  ptr = (UBYTE *) &(serial_req->io_TermArray);
  for(error=0;error<8;++error)/*recycling of variables*/
  {
    *ptr = eof_chars[error];
    ++ptr;
  }
  
  serial_req->IOSer.io_Command =SDCMD_SETPARAMS;
  error = DoIO( serial_req );
  if(error)
    koniec("Nie da si ustawi portu>");
  
  serial_req->IOSer.io_Command = CMD_READ;
  serial_req->IOSer.io_Data = (APTR) buffer;
  serial_req->IOSer.io_Length = 1;
  
  /*test*/
  
  Move(&(ekran->RastPort),0,17);
  Text(&(ekran->RastPort),"NAPISY?",7);
  
  BeginIO( audio_req );
  error = WaitIO( audio_req );
  if(error)
  {
    koniec("Bdy przy graniu ?");
    /*printf itd */  
  }   
  Text(&(ekran->RastPort),"NAPISY!",7);
  SendIO( narrator_req );
  printf( "test_____________\n" );
  error = WaitIO( narrator_req );
  if( error )
  {
    printf( "Error code: %d\n", narrator_req->message.io_Error );
    koniec( "Bdy przy czytaniu." );
  }
  SendIO( serial_req );
  error = WaitIO( serial_req );
  if( error )
    koniec( "!Serial jak to w ogle moliwe" );
  
  BltClear(ekran->BitMap.Planes[0],RASSIZE(ekran->Width,ekran->Height),0);
  
  /*kniec testu*/
  
  /*Delay(250);*/
  SendIO( serial_req );
  Move(&(ekran->RastPort),0,(linijka=0)*8+8);
  cichynapis(  "Forms FORM-2982781-12:"  ,22,   NN1); 
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  cichynapis(  "Test Assessment Report:" ,23,   NK1);
  /*Delay(NN1);*/
  Move(&(ekran->RastPort),0,(linijka+=3)*8+8);
  nutb( G3,290,"This "   ,"DHIHS"        , 5, 5,NN8);
  nutb(FG3,320,"was "    ,"WAAS"         , 4, 4,NN8);
  nutb( E3,175,"a "      ,"AH"           , 2, 3,NN8);
  nutb( E3,310,"tri"     ,"TRAHY"        , 3, 4,NN8);
  nutb(FG3, 62,"umph. "  ,"UWMF"         , 6, 4,NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(140);*/
  nutb( A2,310,"I\'m "   ,"AAJM"         , 4 ,4,NN8);
  nutb( G3,240,"ma"      ,"MEY"          , 2, 3,NN8);
  nutb(FG3,275,"king "   ,"KIYNX"        , 5, 5,NN8);
  nutb( E3,275,"a "      ,"AEAE"         , 2, 4,NN8);
  nutb( E3,115,"note "   ,"NOWT"         , 5, 4,NN8+NN8);
  nutb(FG3,160,"here:"   ,"/HIYR"        , 5, 5,NK8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,172,"HUGE "   ,"/HYUWJ"       , 5, 6,NN4);
  nutb( E3,255,"SUC "    ,"SAHK"         , 3, 4,NN8);
  nutb( A2, 42,"CESS."   ,"SEHEHEHEHSSS" , 5,12,NN8+NK2+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,286,"It's "   ,"IYTS"         , 5, 4,NN8);
  nutb( E3,145,"hard "   ,"/HAAD"        , 5, 5,NN4);    
  nutb(FG3,272,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( G3, 69,"ov"      ,"OW"           , 2, 2,NN8+NN4);
  nutb( E3,235,"er "     ,"VER"          , 3, 3,NN8);
  nutb(CD3,130,"state"   ,"STEYT"        , 5, 5,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3, 64,"my "     ,"MAXY"         , 3, 4,NK4);
  nutb( E3, 86,"sa"      ,"SAX"          , 2, 3,NN4);
  nutb( A2,290,"tis"     ,"TIHS"         , 3, 4,NN8);
  nutb( A2,126,"fac"     ,"FAAK"         , 3, 4,NN8+NN8);
  nutb(FG3, 43,"tion."   ,"SHIXIXIXIXIXN", 5,13,NK4+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( G3,180,"A"       ,"AH"           , 1, 2,NN8);
  nutb(FG3,252,"per"     ,"PER"          , 3, 3,NN8);
  nutb( E3,277,"ture "   ,"CHER"         , 5, 4,NN8);
  nutb( E3,211,"Sci "    ,"SAH"          , 3, 3,NN8);
  nutb(FG3, 57,"ence"    ,"YEHNS"        , 4, 5,NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(140);*/
  nutb( A2,229,"We "     ,"WIY"          , 3, 3,NN8);
  nutb( G3,252,"do "     ,"DUW"          , 3, 3,NN8);
  nutb(FG3,224,"what "   ,"WHAHT"        , 5, 5,NN8);
  nutb( E3,229,"we "     ,"WIY"          , 3, 3,NN8);
  nutb( E3, 96,"must"    ,"MAAST"        , 4, 5,NN8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb(FG3,240,"be"      ,"BIY"          , 2, 3,NN8);
  nutb( D3,100,"cause "  ,"KAOZ"         , 6, 4,NN8+NN4);
  nutb( E3,229,"we "     ,"WIY"          , 3, 4,NN8);
  nutb( A2, 50,"can"     ,"KAEAEN"       , 3, 6,NN8+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( E3,125,"For "    ,"FOHR"         , 4, 4,NN4);
  nutb(FG3,199,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( G3, 89,"good "   ,"GUWUWD"       , 5, 6,NN8+NN4);
  nutb( E3,316,"of "     ,"AOF"          , 3, 3,NN8);
  nutb(CD3, 82,"all "    ,"AOL"          , 4, 3,NN8+NN4);
  nutb( D3,316,"of "     ,"AOF"          , 3, 3,NN8);
  nutb( E3,135,"us."     ,"AAS"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,230,"ex"      ,"EHK"          , 2, 3,NN8);
  nutb( D3,280,"cept "   ,"SEHPT"        , 5, 5,NN8);
  nutb( E3,199,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( F3,290,"ones "   ,"WAHNS"        , 5, 5,NN8);
  nutb( E3,261,"who "    ,"/HUW"         , 4, 4,NN8);
  nutb( D3,257,"are "    ,"AAR"          , 4, 3,NN8);
  nutb( C3,340,"dead."   ,"DAED"         , 5, 4,NN8);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  /*Delay(40);*/
  nutb( A2,283,"But "    ,"BAAT"         , 4, 4,NN8);
  nutb(AH2,345,"there's ","DEHRS"        , 8, 5,NN8);
  nutb( C3,111,"no "     ,"NOW"          , 3, 3,NN4);
  nutb( F3,135,"sense "  ,"SEHNS"        , 6, 5,NN4);
  nutb( E3,242,"cry"     ,"KWAH"         , 3, 4,NN8);
  nutb( D3,252,"ing"     ,"YIYNX"        , 3, 5,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,232,"ov"      ,"OW"           , 2, 3,NN8);
  nutb( C3,235,"er "     ,"VER"          , 3, 3,NN8);
  nutb( D3,262,"ev"      ,"EHVV"         , 2, 4,NN8);
  nutb( C3,159,"ery "    ,"RIX"          , 4, 3,NN8);
  nutb( C3,120,"mis"     ,"MIHS"         , 3, 4,NN4);
  nutb( C3,120,"take."   ,"TEYK"         , 5, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,252,"You "    ,"YUW"          , 4, 3,NN8);
  nutb(AH2,340,"just "   ,"JAHST"        , 5, 5,NN8);
  nutb( C3,121,"keep "   ,"KIHIHP"       , 5, 6,NN4);
  nutb( F3,112,"on "     ,"AON"          , 3, 3,NN4);
  nutb( G3,260,"try"     ,"/CWAH"        , 3, 5,NN8);
  nutb( F3,252,"ing"     ,"YIYNX"        , 3, 5,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,266,"till "   ,"TIHL"         , 5, 4,NN8);
  nutb( D3,246,"you "    ,"YUW"          , 4, 3,NN8);
  nutb( D3,216,"run "    ,"RAHN"         , 4, 4,NN8);
  nutb( E3,283,"out "    ,"AHWT"         , 4, 4,NN8);
  nutb( F3,137,"of "     ,"AOF"          , 3, 3,NN4);
  nutb( F3,121,"cake."   ,"KEYK"         , 5, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( G3,261,"And "    ,"AEND"         , 4, 4,NN8);
  nutb( A3,196,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb(AH3,220,"Sci"     ,"SAH"          , 3, 3,NN8);
  nutb(AH3,308,"ence "   ,"YEHNS"        , 5, 5,NN8);
  nutb( A3,118,"gets "   ,"GEHTS"        , 5, 5,NN4);
  nutb( G3,118,"done."   ,"DAAN"         , 5, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( F3,302,"and "    ,"AEND"         , 4, 4,NN8);
  nutb( G3,247,"you "    ,"YUW"          , 4, 3,NN8);
  nutb( A3,268,"make "   ,"MEYK"         , 5, 4,NN8);
  nutb( A3,180,"a "      ,"AH"           , 2, 2,NN8);
  nutb( G3,111,"neat "   ,"NIYT"         , 5, 4,NN4);
  nutb( F3,120,"gun."    ,"GAAN"         , 4, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,289,"for "    ,"FOHR"         , 4, 4,NN8);
  nutb( C3,199,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( D3,252,"peo"     ,"PIY"          , 3, 3,NN8);
  nutb( F3,284,"ple "    ,"PUHL"         , 4, 4,NN8);
  nutb( F3,261,"who "    ,"/HUW"         , 4, 4,NN8);
  nutb( E3,113,"are"     ,"AAR"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3,324,"live. "  ,"LAYV"         , 6, 4,NN8);
  nutc(PAL_A3 ,""        ,NN8_A3         , 0,   NN8);
  nutc(PAL_D4 ,""        ,NN8_D4         , 0,   NN8);
  nutc(PAL_FG4,""        ,NN8_FG4        , 0,   NN8);
  nutc(PAL_D4 ,""        ,NN8_D4         , 0,   NN8);
  nutc(PAL_H3 ,""        ,NN8_H3         , 0,   NN8);
  nutc(PAL_D4 ,""        ,NN8_D4         , 0,   NN8);
  nutc(PAL_FG4,""        ,NN8_FG4        , 0,   NN8);
  nutc(PAL_D4 ,""        ,NN8_D4         , 0,   NN8);
  
  Delay(NN16);czysto();  
  Move(&(ekran->RastPort),0,(linijka=0)*8+8);
  
  nutc(PAL_A3 ,"Forms"   ,NN8_A3         , 5,   NN8);
  nutc(PAL_D4 ," FORM"   ,NN8_D4         , 5,   NN8);
  nutc(PAL_FG4,"-5555"   ,NN8_FG4        , 5,   NN8);
  nutc(PAL_D4 ,"1-5:"    ,NN8_D4         , 4,   NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutc(PAL_H3 ,"Perso"   ,NN8_H3         , 5,   NN8);
  nutc(PAL_D4 ,"nnel "   ,NN8_D4         , 5,   NN8);
  nutc(PAL_FG4,"File "   ,NN8_FG4        , 5,   NN8);
  nutc(PAL_D4 ,"Adden"   ,NN8_D4         , 5,   NN8);
  nutc(PAL_A3 ,"dum"     ,NN8_A3         , 3,   NN8);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  nutc(PAL_D4 ,"Dear "   ,NN8_D4         , 5,   NN8);
  nutc(PAL_FG4,"<<Sub"   ,NN8_FG4        , 5,   NN8);
  nutc(PAL_D4 ,"ject "   ,NN8_D4         , 5,   NN8);
  nutc(PAL_H3 ,"Name "   ,NN8_H3         , 5,   NN8);
  nutc(PAL_D4 ,"Here>"   ,NN8_D4         , 5,   NN8);
  nutc(PAL_FG4,">"       ,NN8_FG4        , 1,   NN8);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  nutc(PAL_D4 ,""        ,NN8_D4         , 0,   NN8);
  /*Delay(NN4+NN8);*/
  nutb( A2,251,"I'm "    ,"AHYM"         , 4, 4,NN8);
  nutb( G3,223,"not "    ,"NAHT"         , 4, 4,NN8);
  nutb(FG3,211,"ev"      ,"IY"           , 2, 2,NN8);
  nutb( E3,223,"en "     ,"VEHN"         , 3, 4,NN8);
  nutb( E3,151,"ang"     ,"AENX"         , 3, 4,NN8+NN16);
  nutb(FG3, 47,"ry."     ,"RIYIYIYIY"    , 3, 9,NK8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(NN2+NN4+NN8+NN8);*/
  nutb( G3,256,"I'm "    ,"AHYM"         , 4, 4,NN8);
  nutb(FG3,239,"be"      ,"BIY"          , 2, 3,NN8);
  nutb( E3,211,"ing "    ,"IHNX"         , 4, 4,NN8);
  nutb( E3, 75,"so "     ,"SOW"          , 3, 3,NN8+NN4);
  nutb(FG3,244,"sin"     ,"SIHN"         , 3, 4,NN8);
  nutb( D3,117,"cere "   ,"SIYR"         , 5, 4,NN8+NN8);
  nutb( E3,122,"right "  ,"RAHYT"        , 6, 5,NN4);
  nutb( A2, 50,"now."    ,"NAAAAAAAAWW"  , 4,11,NN8+NK2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( E3, 95,"Ev"      ,"IY"           , 2, 2,NN4);   
  nutb(FG3,223,"en "     ,"VEHN"         , 3, 4,NN8);
  nutb( G3, 71,"though " ,"DHOW"         , 7, 4,NN8+NN4);
  nutb( E3,106,"you "    ,"YUW"          , 4, 3,NN4);
  nutb(CD3,124,"broke "  ,"BROWK"        , 6, 5,NN4);
  nutb( D3,236,"my "     ,"MAHY"         , 3, 4,NN8);
  nutb( E3, 78,"heart."  ,"/HAART"       , 6, 6,NN8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,266,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb( A2,135,"killed " ,"KIHLT"        , 7, 5,NN8+NN8);
  nutb(FG3, 48,"me."     ,"MIYIYIY"      , 3, 7,NK4+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(NN4+NN4+NN8);*/
  nutb( A2,263,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb( G3,290,"tore "   ,"TOHR"         , 5, 4,NN8);
  nutb(FG3,202,"me "     ,"MIH"          , 3, 3,NN8);
  nutb( E3,255,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( E3,256,"pie"     ,"PIY"          , 3, 3,NN8);
  nutb(FG3,123,"ces."    ,"SIHS"         , 4, 3,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(NN4+NN2+NN4+NN8);*/
  nutb( A2,263,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb( G3,287,"threw "  ,"THRUW"        , 6, 5,NN8);
  nutb(FG3,235,"ev"      ,"EHV"          , 2, 3,NN8);
  nutb( E3,183,"ery "    ,"RIH"          , 4, 3,NN8);
  nutb( E3, 87,"piece "  ,"PIYS"         , 6, 4,NN8+NN4);
  nutb(FG3,207,"in"      ,"IHN"          , 2, 3,NN8);
  nutb( D3, 75,"to "     ,"TUW"          , 3, 3,NN8+NN4);
  nutb( E3,179,"a "      ,"AH"           , 2, 2,NN8);
  nutb( A2, 52,"fire."   ,"FAYR"         , 5, 4,NN8+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(NN2);*/
  nutb( E3,135,"As "     ,"AAS"          , 3, 3,NN4);
  nutb(FG3,223,"they "   ,"DHEY"         , 5, 4,NN8);
  nutb( G3, 82,"burned " ,"BERNT"        , 7, 5,NN8+NN4);
  nutb( E3, 95,"it "     ,"IHT"          , 3, 3,NN4);
  nutb(CD3,111,"hurt "   ,"/HERT"        , 5, 5,NN4);
  nutb( D3,235,"be"      ,"BIY"          , 2, 3,NN8);
  nutb( E3,351,"cause"   ,"KAOS"         , 5, 4,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,220,"I "      ,"AHY"          , 2, 3,NN8);
  nutb( D3,319,"was "    ,"WAOS"         , 4, 4,NN8);
  nutb( E3,278,"so "     ,"SOW"          , 3, 3,NN8);
  nutb( F3,208,"hap"     ,"/H/HAH"       , 3, 6,NN8);
  nutb( E3,215,"py "     ,"PIH"          , 3, 3,NN8);
  nutb( D3,290,"for "    ,"FOHR"         , 4, 4,NN8);
  nutb( C3, 69,"you!"    ,"YUW"          , 4, 3,NN8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,239,"Now "    ,"NAHW"         , 4, 4,NN8);
  nutb(AH2,297,"these "  ,"DHIYS"        , 6, 5,NN8);
  nutb( C3,175,"points " ,"POYNTS"       , 7, 6,NN4);
  nutb( F3,137,"of "     ,"AOF"          , 3, 3,NN4);
  nutb( E3,239,"da"      ,"DEY"          , 2, 3,NN8);
  nutb( D3,211,"ta "     ,"TAH"          , 3, 3,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,273,"make "   ,"MEYK"         , 5, 4,NN8);
  nutb( C3,187,"a "      ,"AH"           , 2, 2,NN8);
  nutb( D3,273,"beau"    ,"BYUW"         , 4, 4,NN8);
  nutb( C3,211,"ti"      ,"TIH"          , 2, 3,NN8);
  nutb( C3,135,"ful "    ,"FUWL"         , 4, 4,NN4);
  nutb( C3,112,"line."   ,"LAHYN"        , 5, 5,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,263,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb(AH2,255,"we're "  ,"WIYR"         , 6, 4,NN8);
  nutb( C3,120,"out "    ,"AHWT"         , 4, 4,NN4);
  nutb( F3,135,"of "     ,"AOF"          , 3, 3,NN4);
  nutb( G3,255,"be"      ,"BEYIY"        , 2, 5,NN8);
  nutb( F3,211,"ta."     ,"TAH"          , 3, 3,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,259,"We're "  ,"WIYR"         , 6, 4,NN8);
  nutb( D3,223,"re"      ,"RIY"          , 2, 3,NN8);
  nutb( D3,218,"leas"    ,"LIY"          , 4, 3,NN8);
  nutb( E3,247,"ing "    ,"SIHNX"        , 4, 5,NN8);
  nutb( F3,112,"on "     ,"AON"          , 3, 4,NN4);
  nutb( F3,121,"time."   ,"TAHYM"        , 5, 5,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( G3,272,"So "     ,"SOW"          , 3, 3,NN8);
  nutb( A3,255,"I'm "    ,"AHYM"         , 4, 4,NN8);
  nutb(AH3,351,"GLaD "   ,"GLAAD"        , 5, 3,NN8);
  nutb(AH3,217,"I "      ,"AHY"          , 2, 3,NN8);
  nutb( A3,125,"got "    ,"GAOT"         , 4, 4,NN8+NN8);
  nutb( G3,129,"burned." ,"BERNT"        , 7, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( F3,285,"Think "  ,"THIHNK"       , 6, 6,NN8);
  nutb( G3,309,"of "     ,"AOF"          , 3, 3,NN8);
  nutb( A3,296,"all "    ,"AOL"          , 4, 3,NN8);
  nutb( A3,196,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( G3,319,"things " ,"FIHNXS"       , 7, 6,NN8);
  nutb( F3,223,"we "     ,"WIY"          , 3, 3,NN8);
  nutb( F3,127,"learned ","LERNT"        , 8, 5,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,290,"for "    ,"FOHR"         , 4, 4,NN8);
  nutb( C3,199,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( D3,252,"peo"     ,"PIY"          , 3, 3,NN8);
  nutb( F3,284,"ple "    ,"PUHL"         , 4, 4,NN8);
  nutb( F3,261,"who "    ,"/HUW"         , 4, 4,NN8);
  nutb( E3,113,"are"     ,"AAR"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live. "  ,"LAYV"         , 6, 4,NN8+NN2);
  
  Delay(NN1+NN8);
  czysto();  
  Move(&(ekran->RastPort),0,(linijka=0)*8+8);
  
  cichynapis(  "Forms Form-55551-6:"     ,19,   NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  cichynapis("Personnel File Addendum Addendum:",33,NN2);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  cichynapis(  "One last thing:"         ,15,   NN2);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  /*Delay(NN8);*/
  nutb( G3,265,"Go "     ,"GOW"          , 3, 3,NN8);
  nutb(FG3,320,"ahead "  ,"AX/HEHD"      , 6, 7,NN8);
  nutb( E3,309,"and "    ,"AEND"         , 4, 4,NN8);
  nutb( E3,166,"leave "  ,"LIYV"         , 6, 4,NN8+NN16);
  nutb(FG3, 56,"me."     ,"MIY"          , 3, 3,NK8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(140);*/
  nutb( A2,259,"I "      ,"AY"           , 2 ,2,NN8);
  nutb( G3,290,"think "  ,"THIHNK"       , 6, 6,NN8);
  nutb(FG3,259,"I "      ,"AY"           , 2, 2,NN8);
  nutb( E3,267,"pre"     ,"PRIY"         , 3, 4,NN8);
  nutb( E3, 68,"fer "    ,"FER"          , 4, 3,NN8+NN4);
  nutb(FG3,272,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( D3,119,"stay "   ,"STEY"         , 5, 4,NN8+NN8);
  nutb( E3,102,"in"      ,"IYN"          , 2, 3,NN4);
  nutb( A2, 58,"side."   ,"SAAAYD"       , 5, 6,NN8+NK2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( E3,106,"May"     ,"MEY"          , 3, 3,NN4);   
  nutb(FG3,240,"be "     ,"BIY"          , 3, 3,NN8);
  nutb( G3, 85,"you'll " ,"YUWWL"        , 7, 5,NN8+NN4);
  nutb( E3,147,"find "   ,"FAHYNT"       , 5, 6,NN4);
  nutb(CD3,107,"some"    ,"SAHM"         , 4, 4,NN4);
  nutb( D3,222,"one "    ,"WAHN"         , 4, 4,NN8);
  nutb( E3, 87,"else"    ,"EHLS"         , 4, 4,NN8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,273,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( A2,136,"help "   ,"/HEHLP"       , 5, 6,NN8+NN8);
  nutb(FG3, 55,"you."    ,"YUHUWW"       , 4, 6,NK4+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( G3,240,"May"     ,"MEY"          , 3, 3,NN8);
  nutb(FG3,240,"be "     ,"BIY"          , 3, 3,NN8);
  nutb( E3,262,"Black "  ,"BLAHK"        , 6, 5,NN8);
  nutb( E3,245,"Me"      ,"MIY"          , 2, 3,NN8);
  nutb(FG3,121,"sa"      ,"SAA"          , 2, 3,NN4);
  cichynapis("..."       , 3,   NN4+NN2+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( G3,244,"THAT "   ,"THAHT"        , 5, 5,NN8);
  nutb(FG3,322,"WAS "    ,"WAOS"         , 4, 4,NN8);
  nutb( E3,180,"A "      ,"AH"           , 2, 2,NN8);
  nutb( E3, 82,"JOKE"    ,"JOWK"         , 4, 4,NN8+NN4);
  nutb(FG3,198,"."       ,"/H/HAH"       , 1, 6,NN8);
  nutb( D3, 77," "       ,"/H/HAA"       , 1, 6,NN8+NN4);
  nutb( E3,239,"FAT "    ,"FAHT"         , 4, 4,NN8);
  nutb( A2, 54,"CHANCE"  ,"CHEHNS"       , 6, 6,NN8+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  /*Delay(80);*/
  nutb( E3,109,"A"       ,"AE"           , 1, 2,NN4);
  nutb(FG3,196,"ny"      ,"NIH"          , 2, 3,NN8);
  nutb( G3, 67,"way "    ,"WAEEY"        , 4, 5,NN8+NN4);
  nutb( E3,116,"this "   ,"DHIHS"        , 5, 5,NN4);
  nutb(CD3,122,"cake "   ,"KEYK"         , 5, 4,NN4);
  nutb( D3,257,"is "     ,"IHS"          , 3, 3,NN8);
  nutb( E3,136,"great."  ,"GREHYT"       , 6, 6,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,262,"It's "   ,"IHTS"         , 5, 4,NN8);
  nutb( D3,271,"so "     ,"SOW"          , 3, 3,NN8);
  nutb( E3,202,"de"      ,"DEH"          , 2, 3,NN8);
  nutb( F3,188,"li"      ,"LIH"          , 2, 3,NN8);
  nutb( E3,302,"cious "  ,"SHUHS"        , 6, 5,NN8);
  nutb( D3,302,"and "    ,"AEND"         , 4, 4,NN8);
  nutb( C3,101,"moist."  ,"MOYST"        , 6, 5,NN8+NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,262,"Look "   ,"LUWK"         , 5, 4,NN8);
  nutb(AH2,211,"at "     ,"AHT"          , 3, 3,NN8);
  nutb( C3,103,"me "     ,"MIY"          , 3, 3,NN4);
  nutb( F3,116,"still "  ,"STIHL"        , 6, 5,NN4);
  nutb( E3,287,"tal"     ,"TAO"          , 3, 3,NN8);
  nutb( D3,247,"king"    ,"KIXNX"        , 4, 5,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,223,"when "   ,"WEHN"         , 5, 4,NN8);
  nutb( C3,355,"there's ","DHEHRS"       , 8, 6,NN8);
  nutb( D3,223,"Sci"     ,"SAH"          , 3, 3,NN8);
  nutb( C3,285,"ence "   ,"YEHNS"        , 5, 5,NN8);
  nutb( C3,116,"to "     ,"TUW"          , 3, 3,NN4);
  nutb( C3,109,"do."     ,"DUW"          , 3, 3,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A2,223,"When "   ,"WEHN"         , 5, 4,NN8);
  nutb(AH2,255,"I "      ,"AY"           , 2, 2,NN8);
  nutb( C3,111,"look "   ,"LUWK"         , 5, 4,NN4);
  nutb( F3,122,"out "    ,"AHWT"         , 4, 4,NN4);
  nutb( G3,319,"there,"  ,"DHAER"        , 6, 5,NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( F3,223,"it "     ,"IHT"          , 3, 3,NN8);
  nutb( E3,319,"makes "  ,"MEYKS"        , 6, 5,NN8);
  nutb( D3,241,"me "     ,"MIY"          , 3, 3,NN8);
  nutb( D3,351,"GLaD "   ,"GLAAD"        , 5, 5,NN8);
  nutb( E3,308,"I'm "    ,"AAYM"         , 4, 4,NN8);
  nutb( F3,100,"not "    ,"NAHT"         , 4, 4,NN4);
  nutb( F3,106,"you."    ,"YUW"          , 4, 3,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( G3,318,"I've "   ,"AXYFF"        , 5, 5,NN8);
  nutb( A3,262,"ex"      ,"EHKS"         , 2, 4,NN8);
  nutb(AH3,223,"pe"      ,"PEH"          , 2, 3,NN8);
  nutb(AH3,183,"ri"      ,"RIH"          , 2, 3,NN8);
  nutb( A3,347,"ments "  ,"MEHNTS"       , 6, 6,NN8);
  nutb( A3,263,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( G3,112,"run."    ,"RAAN"         , 4, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( F3,221,"There "  ,"DHER"         , 6, 4,NN8);
  nutb( G3,257,"is "     ,"IHS"          , 3, 3,NN8);
  nutb( A3,183,"re"      ,"RIH"          , 2, 3,NN8);
  nutb( A3,303,"search " ,"SER/C"        , 7, 5,NN8);
  nutb( G3,271,"to "     ,"TUW"          , 3, 3,NN8);
  nutb( F3,239,"be "     ,"BIY"          , 3, 3,NN8);
  nutb( F3,118,"done."   ,"DAAN"         , 5, 4,NN4);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( D3,265,"On "     ,"OHN"          , 3, 3,NN8);
  nutb( C3,199,"the "    ,"DHEH"         , 4, 4,NN8);
  nutb( D3,252,"peo"     ,"PIY"          , 3, 3,NN8);
  nutb( F3,284,"ple "    ,"PUHL"         , 4, 4,NN8);
  nutb( F3,261,"who "    ,"/HUW"         , 4, 4,NN8);
  nutb( E3,113,"are"     ,"AAR"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live. "  ,"LAYV"         , 6, 4,NN8+NN2);
  
  /*Delay(NN16/2);*/
  czysto();
  
  Move(&(ekran->RastPort),0,(linijka=3)*8+8);
  /*Delay(NN2+NN1+NN2+NN4); nie tyle*/
  cichynapis(  "PS:"                     , 3,   NN8);
  nutb( A3,262,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb( A3,205,"be "     ,"BEH"          , 3, 3,NN8);
  nutb( H3,296,"lieve "  ,"LIYV"         , 6, 4,NN8);
  nutb( A3,244,"me "     ,"MIY"          , 3, 3,NN8);
  nutb(FG3,223,"I "      ,"AHY"          , 2, 3,NN8);
  nutb( D3,111,"am"      ,"AEM"          , 2, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live."   ,"LAYV"         , 5, 4,NN8+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  cichynapis(  "PPS:"                    , 4,   NN8);
  nutb( A3,255,"I'm "    ,"AHYM"         , 4, 4,NN8);
  nutb( A3,255,"do"      ,"DUW"          , 2, 3,NN8);
  nutb( A3,215,"ing "    ,"IHNX"         , 4, 4,NN8);
  nutb( H3,215,"Sci"     ,"SAH"          , 3, 3,NN8);
  nutb( A3,285,"ence "   ,"YEHNS"        , 5, 5,NN8);
  nutb(FG3,302,"and "    ,"AEND"         , 4, 4,NN8);
  nutb( D3,109,"I'm"     ,"AHYM"         , 3, 4,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live."   ,"LAYV"         , 5, 4,NN8+NN2);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  cichynapis(  "PPPS:"                   , 5,   NN4);
  nutb( A3,217,"I "      ,"AHY"          , 2, 3,NN8);
  nutb( A3,299,"feel "   ,"FIYL"         , 5, 4,NN8);
  nutb( A3,229,"FAN"     ,"FAHN"         , 3, 4,NN8);
  nutb( H3,308,"TAS"     ,"TAHS"         , 3, 3,NN8);
  nutb( A3,273,"TIC "    ,"TIYK"         , 4, 5,NN8);
  nutb(FG3,302,"and "    ,"AEND"         , 4, 4,NN8);
  nutb( D3,109,"I'm"     ,"AHYM"         , 3, 4,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live."   ,"LAYV"         , 5, 4,NN8+NN2);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  cichynapis(  "FINAL THOUGHT:"          ,14,   NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A3,272,"While "  ,"WAHYL"        , 6, 5,NN8);
  nutb( A3,248,"you're " ,"YUHR"         , 7, 4,NN8);
  nutb( H3,199,"dy"      ,"DAH"          , 2, 3,NN8);
  nutb( A3,225,"ing "    ,"IHNX"         , 4, 4,NN8);
  nutb(FG3,255,"I'll "   ,"AHYL"         , 5, 4,NN8);
  nutb( D3,103,"be "     ,"BIY"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 51,"live."   ,"LAYV"         , 5, 4,NN8+NN2);
  Move(&(ekran->RastPort),0,(linijka+=2)*8+8);
  cichynapis(  "FINAL THOUGHT PS:"       ,17,   NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( A3,262,"And "    ,"AHNT"         , 4, 4,NN8);
  nutb( A3,223,"When "   ,"WEHN"         , 5, 4,NN8);
  nutb( A3,248,"you're " ,"YUHR"         , 7, 4,NN8);
  nutb( H3,351,"dead "   ,"DAED"         , 5, 4,NN8);
  nutb( A3,217,"I "      ,"AHY"          , 2, 3,NN8);
  nutb(FG3,244,"will "   ,"WIHL"         , 5, 4,NN8);
  nutb( D3,103,"be "     ,"BIY"          , 3, 3,NN8+NN8);
  Move(&(ekran->RastPort),0,(++linijka)*8+8);
  nutb( E3,296,"Still "  ,"STIHL"        , 6, 5,NN8);
  nutb(FG3,180,"a"       ,"AH"           , 1, 2,NN8);
  nutb(FG3, 67,"live."   ,"LAHYV"        , 5, 5,NN8+NN4);
  /*Delay(NN4+NN8)*/;
  Move(&(ekran->RastPort),0,(linijka+=3)*8+8);
  nutb( G3,287,"STILL "  ,"STIHL"        , 6, 5,NN8);
  nutb( A3,187,"A"       ,"AH"           , 1, 2,NN8);
  nutb( A3, 67,"LIVE"    ,"LAHYV"        , 4, 5,NN8+NN4);
  
  Delay(NN4+NN16);  
  czysto();
  
  nutb( G3,315,""        ,"STIHL"        , 0, 5,NN8);
  nutb(FG3,180,""        ,"AH"           , 0, 2,NN8);
  nutb(FG3, 42,""        ,"LAHYVV"       , 0, 6,NN8+NN2);
    
  WaitIO(audio_req);
  WaitIO(narrator_req);

  Delay(200);
  koniec( "Koniec!" );

}

void nuta(int f,int v,STRPTR napis,STRPTR sylab,int dn,int ds)
{
   narrator_req->message.io_Length = ds;
   narrator_req->message.io_Data = (APTR) sylab;
   narrator_req->rate = v;  /* 40 400 */ 
   narrator_req->pitch= f; /* 65 320 */
   SendIO( narrator_req );/*narrator*/
   Text(&(ekran->RastPort),napis,dn);
   v  = WaitIO( narrator_req ); 
   
}

void nutb(int f,int v,STRPTR napis,STRPTR sylab,int dn,int ds,int dc)
{
   int a;
   int b;
   WaitIO( narrator_req );
   narrator_req->message.io_Length = ds;
   narrator_req->message.io_Data = (APTR) sylab;
   narrator_req->rate = v;  /* 40 400 */ 
   narrator_req->pitch= f; /* 65 320 */
   WaitIO ( serial_req );
   if(buffer[0]=='c')
     koniec("C-C-C");
   SendIO (serial_req);
   WaitIO( audio_req );
   SendIO( narrator_req );
   if(dn)
   {
      for(a=0,b=4*dc/dn/5;a<dn;++a)
      {
         Text(&(ekran->RastPort),napis+a,1);
         if(a<dn-1)Delay(b);
      }
   }
}

void nutc(int T,STRPTR napis,int D,int dn,int dc)
{
   int a;
   int b;
   WaitIO( audio_req );
   audio_req->ioa_Period = T;
   audio_req->ioa_Cycles = D;
   WaitIO ( serial_req );
   if(buffer[0]=='c')
     koniec("C-C-C");
   SendIO (serial_req);
   WaitIO( narrator_req );
   BeginIO( audio_req );
   if(dn)
   {
      for(a=0,b=4*dc/dn/5;a<dn;++a)
      {
         Text(&(ekran->RastPort),napis+a,1);
         if(a<dn-1)Delay(b);
      }
   }   
}

void cichynapis(STRPTR napis,int dn,int dc)
{
   int a,b;
   WaitIO ( serial_req );
   if(buffer[0]=='c')
     koniec("C-C-C");
   SendIO (serial_req);
   WaitIO( audio_req );
   WaitIO( narrator_req );
   if(dn)
   {
      for(a=0,b=4*dc/dn/5;a<dn;++a)
      {
         Text(&(ekran->RastPort),napis+a,1);
         if(a<dn-1)/**/
            Delay(b);
      }
   }
   /*Delay(dc-(dn*b));*/
}

void czysto()
{
   BltClear(ekran->BitMap.Planes[0],RASSIZE(ekran->Width,ekran->Height),0);
}

void koniec( STRPTR text )
{
  
  if(!serial_dever)
    CloseDevice(serial_req);
  
  if(serial_req)
    DeleteExtIO(serial_req,sizeof(struct IOExtSer ));
  
  if(replymp3)
    DeletePort(replymp3);
      
  if(audio_req && !(audio_req->ioa_Request.io_Error))
  {
    audio_req->ioa_Request.io_Command = ADCMD_FREE;
    DoIO(audio_req);
  }
  while( GetMsg(replymp2))
    printf("Audio reply port?\n");
  
  if(audio_req && audio_req->ioa_Request.io_Device)
    CloseDevice(audio_req);
    
  if(replymp2)
    DeletePort(replymp2);
    
  if(audio_req)
    DeleteExtIO(audio_req, sizeof (struct IOAudio));
    
  if(kwadrat);
    FreeMem(kwadrat,DLKW);
   
  while( GetMsg( replymp ) )
    printf( "Narrator reply port?.\n" );

  if( narrator_req && narrator_req->message.io_Device )
    CloseDevice( narrator_req );

  if( replymp )
    DeletePort( replymp);

  if( narrator_req )
    DeleteExtIO( narrator_req, sizeof( struct narrator_rb ) );

  if(napisy)
    CloseFont(napisy);
  
  if( ekran !=NULL )
    CloseScreen(ekran);
  
  if( GfxBase )
    CloseLibrary( GfxBase );
  
  if( IntuitionBase )
    CloseLibrary( IntuitionBase );  

  printf( "%s\n", text );

  exit( 0 );
}

